Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class TypeInfo

    java.lang.Object
      org.hyperic.hq.product.TypeInfo

Direct Known Subclasses:
  PlatformTypeInfo, ServerTypeInfo, ServiceTypeInfo

    public abstract class TypeInfo

extends Object

Carry information about appdef entity type

Field Summary
`static int` | `TYPE_PLATFORM`
`static int` | `TYPE_SERVER`
`static int` | `TYPE_SERVICE`

Constructor Summary
`TypeInfo()`

Method Summary
`boolean` | `equals(Object otherObj)`
`static String` | `formatName(String name)`
`String` | `getDescription()`
`String` | `getFormattedName()` Getter for formatted property name, lower cased spaces converted to hypens.
`String` | `getName()` Getter for property name.
`String[]` | `getPlatformTypes()`
`abstract int` | `getType()`
`String` | `getVersion()` Get the version for a server
`boolean` | `isServer(String name)` Test that entity is a server type that matches given server name.
`boolean` | `isServer(String name, String version)` Test that entity is a server type that matches given server name and version.
`boolean` | `isService(String name)` Test that entity is a service type that matches given service name.
`boolean` | `isService(String name, String version)` Test that entity is a service type that matches given service name and server version.
`boolean` | `isUnixPlatform()`
`boolean` | `isVersion(String version)` Test that entity server or service type version matches the given version.
`boolean` | `isWin32Platform()`
`void` | `setDescription(String description)`
`void` | `setName(String name)` Setter for property name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PLATFORM

    public static final int TYPE_PLATFORM

See Also:
  Constant Field Values

### TYPE_SERVER

    public static final int TYPE_SERVER

See Also:
  Constant Field Values

### TYPE_SERVICE

    public static final int TYPE_SERVICE

See Also:
  Constant Field Values

Constructor Detail

### TypeInfo

    public TypeInfo()

Method Detail

### getType

    public abstract int getType()

### formatName

    public static String formatName(String name)

### getFormattedName

    public String getFormattedName()

  Getter for formatted property name, lower cased spaces converted to hypens.

  Returns:
    Value of formatted property name.

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### equals

    public boolean equals(Object otherObj)

  Overrides:
    `equals` in class `Object`

### isServer

    public boolean isServer(String name)

  Test that entity is a server type that matches given server name.

### isServer

    public boolean isServer(String name,
                            String version)

  Test that entity is a server type that matches given server name and version.

### isService

    public boolean isService(String name)

  Test that entity is a service type that matches given service name.

### isService

    public boolean isService(String name,
                             String version)

  Test that entity is a service type that matches given service name and server version.

### getVersion

    public String getVersion()

  Get the version for a server

  Throws:
    `IllegalArgumentException` - If invoked on a type other than TYPE_SERVER or TYPE_SERVICE.

### isVersion

    public boolean isVersion(String version)

  Test that entity server or service type version matches the given version.

  Throws:
    `IllegalArgumentException` - If invoked on a type other than TYPE_SERVER or TYPE_SERVICE.

### getPlatformTypes

    public String[] getPlatformTypes()

  Returns:
    list of supported platforms for this type.

### isUnixPlatform

    public boolean isUnixPlatform()

  Returns:
    true if the platforms for this type are all in the Unix family.

### isWin32Platform

    public boolean isWin32Platform()

  Returns:
    true if the platforms for this type are all in the Win32 family.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.